module Fixtures
  module Domain

    def self.data
      @data ||= {
        domain: "mxhero.com",
        server: "aspmx.l.google.com",
        relayServer: nil,
        inbound: true, outbound: false,
        creationDate: 1371737853000,
        updatedDate: 1371741047000,
        aliases: [ "hero.mx", "mxhero.com", "mxhero.net", "mxhero.org" ],
        ldap: nil,
        features: [
          {
            feature: "org.mxhero.feature.signature",
            created: 1387296659000,
            updated: nil,
            metadata: '{"appId":719005621603,"serviceAccount":"719005621603-avjqrr8333o7pdsfugtvr9bavbq67d48@developer.gserviceaccount.com","userAdmins":["admin@gapps.mxtrial.com"]}',
            maxRulesAmount: 2
          }
        ],
        cos: { cos: "trial", edition: nil },
        cosLastChange: 1387303649000,
        source: "gapps"
      }
    end

  end
end
