require_relative 'helper'

class PSTConverterTest < Minitest::Test

  def setup
    @api = MxHero::API::PSTConverter.new(username: TEST_API_USER, password: TEST_API_PASSWORD, verbose: false, api_url: TEST_API_URL)
  end

  def domain
    TEST_API_DOMAIN
  end

  def test_fetch_inactive_tasks
    VCR.use_cassette('pst_inactive_tasks') do
      assert_equal 5, @api.inactive_tasks('mxhero.com', 5).msg.length
      assert_equal 10, @api.inactive_tasks('mxhero.com').msg.length
    end
  end

end
